Home

# Class goog.proto2.Descriptor

A class which describes a Protocol Buffer 2 Message.

Instance Method Summary
| `createMessageInstance() ⇒ ?goog.proto2.Message` Creates an instance of the message type that this descriptor describes.
| `findFieldByName(string name) ⇒ ?goog.proto2.FieldDescriptor` Returns the field matching the given name, if any. Note that this method searches over the *original* name of the field, not the camelCase version.
| `findFieldByTag((number|string) tag) ⇒ ?goog.proto2.FieldDescriptor` Returns the field matching the given tag number, if any.
| `getContainingType() ⇒ ?goog.proto2.Descriptor` Returns the descriptor of the containing message type or null if none.
| `getFields() ⇒ !Array` Returns the fields in the message described by this descriptor ordered by tag.
| `getFieldsMap() ⇒ !Object` Returns the fields in the message as a key/value map, where the key is the tag number of the field.
| `getFullName() ⇒ ?string` Returns the full name of the message, if any.
| `getName() ⇒ ?string` Returns the name of the message, if any.